
********************************* CODE TO REPLICATE ANALYSIS REPORTED IN THE INSIGHTS REPORT Pastors and Politics
********************************* By Amy Erica Smith, 2015
********************************* This code utilizes the LAPOP dataset "523605379Brazil LAPOP AmericasBarometer 2014 v1_W.dta"
********************************* The data are available for free download from www.lapopsurveys.org
********************************* It also utilizes ado files (i.e., "commands") developed by LAPOP; for access to those commands, please contact LAPOP.
********************************* Questions? Please contact me: amyericas@gmail.com


use "C:\Users\aesmith2\Dropbox\Work\Data\LAPOP\Individual country datasets\Brazil\523605379Brazil LAPOP AmericasBarometer 2014 v1_W.dta", clear
lab lang en

********************* CODE VARIABLES
recode brarel1 (1/5 = 0) (6/10 = 1), g(brarel_dichot)
lab var brarel_dichot "Agrees Clergy Endorsements Justified"

recode q3c (1=1) (2 5 =2) (4 11 = 3) (6 12 = 4) (3 7 1501 = 5), g(rel)
lab def rel 1 "Catholic" 2 "Protestant/Evangelical" 3 "None" 4 "LDS/Jeh. Wit." 5 "Other Religion"
lab val rel rel
lab var rel "Religious Affiliation"
nicelylabelleddummies rel, g(rel)

g q5br = 5-q5b
lab var q5br "Importance of Religion"

************ POLITICAL ATTITUDES
lab var ing4 "Support for Democracy"

recode ing4 (1/4 = 0) (5/7 = 1), g(ing4d)
lab var ing4d "Support for Democracy"

egen systemsupport = rowmean(b1 b2 b3 b4 b6)
lab var systemsupport "System Support"

egen contentiousparticipation = rowmean(e5 e11 e15)
lab var contentiousparticipation "Support for Contentious Participation"
recode contentiousparticipation (1/5=0) (5.1/10=1), g(contentiousd)
lab var contentiousd "Support for Contentious Participation"

************** DEMOGRAPHICS 

g tamanor = 5-tamano
lab var tamanor "Size of Place of Residence"

recode ur (2=0), g(urban)
lab var urban "Urban"

factor r4 r5 r6 r7 r15 r18 r16
alpha r4 r5 r6 r7 r15 r18 r16
egen hhgoods = rowtotal (r4 r5 r6 r7 r15 r18 r16)
lab var hhgoods "Index of Household Goods"

recode q2 (16/25=1) (26/35=2) (36/45=3) (46/55=4) (56/65=5) (66/110=6), g(edad)
lab def edad 1 "16-25" 2 "26-35" 3 "36-45" 4 "46-55" 5 "56-65" 6 "66+", modify 
lab val edad edad
lab var edad "Age Group"
nicelylabelleddummies edad, g(edad)

********************** ANALYSIS
*** FIGURE 1
lp_pie brarel1, eng date("2014") version("Brazil 2014 v1_W") // BOXES AND COLORS MUST BE ADJUSTED MANUALLY

*** FIGURE 2
preserve
recode brarel_dichot (1=100)
lp_simple brarel_dichot rel, eng date("2014") version("Brazil 2014 v1_W") percent
restore

*** FIGURE 3
lp_estfig brarel1 edad6 edad5 edad4 edad3 edad2 q1 hhgoods ed tamanor rel5 rel4 rel3 rel2 q5br systemsupport ing4 contentiousparticipation ///
	, eng date("2014") version("Brazil 2014 v1_W") cmd(regress)

